﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;


namespace sinav
{
    public partial class Form1 : Form
    {
        MySqlDataAdapter da_form1, da_form2;

        public Form1()
        {
            InitializeComponent();
            MySqlConnectionStringBuilder bag = new MySqlConnectionStringBuilder();
            bag.Server = "localhost";
            bag.UserID = "root";
            bag.Password = "123456";
            bag.Database = "hafta11";

            MySqlConnection conn = new MySqlConnection(bag.ToString());

            MySqlCommand cmd_form1_sel = new MySqlCommand("select idhesap,urunid, miktar,urunadi,xoran*miktar,yoran*miktar,zoran*miktar from hesap inner join uruntanimi on urunid=iduruntanimi;", conn);
            MySqlCommand cmd_form1_ins = new MySqlCommand("insert into hesap(urunid, miktar) values (@urunid,@miktar);", conn);
            cmd_form1_ins.Parameters.Add("@urunid", MySqlDbType.Int32, 11, "urunid");
            cmd_form1_ins.Parameters.Add("@miktar", MySqlDbType.Int32, 11, "miktar");
            MySqlCommand cmd_form1_del = new MySqlCommand("delete from hesap where idhesap=@idhesap;", conn);
            cmd_form1_del.Parameters.Add("@idhesap", MySqlDbType.Int32, 11, "idhesap");



            da_form1 = new MySqlDataAdapter();
            da_form1.SelectCommand = cmd_form1_sel;
            da_form1.InsertCommand = cmd_form1_ins;
            da_form1.DeleteCommand = cmd_form1_del;


            MySqlCommand cmd_form2_sel = new MySqlCommand("select iduruntanimi,urunadi, xoran,yoran,zoran from uruntanimi;", conn);
            MySqlCommand cmd_form2_ins = new MySqlCommand("insert into uruntanimi(urunadi, xoran,yoran,zoran) values (@urunadi, @xoran, @yoran, @zoran);", conn);
            cmd_form2_ins.Parameters.Add("@urunadi", MySqlDbType.VarChar, 45, "urunadi");
            cmd_form2_ins.Parameters.Add("@xoran", MySqlDbType.Double, 11, "xoran");
            cmd_form2_ins.Parameters.Add("@yoran", MySqlDbType.Double, 11, "yoran");
            cmd_form2_ins.Parameters.Add("@zoran", MySqlDbType.Double, 11, "zoran");


            MySqlCommand cmd_form2_upd = new MySqlCommand("update uruntanimi set urunadi=@urunadi, xoran=@xoran, yoran=@yoran,zoran=@zoran where iduruntanimi=@iduruntanimi;", conn);
            cmd_form2_upd.Parameters.Add("@iduruntanimi", MySqlDbType.Int32, 11, "iduruntanimi");
            cmd_form2_upd.Parameters.Add("@urunadi", MySqlDbType.VarChar, 45, "urunadi");
            cmd_form2_upd.Parameters.Add("@xoran", MySqlDbType.Double, 11, "xoran");
            cmd_form2_upd.Parameters.Add("@yoran", MySqlDbType.Double, 11, "yoran");
            cmd_form2_upd.Parameters.Add("@zoran", MySqlDbType.Double, 11, "zoran");


            da_form2 = new MySqlDataAdapter();
            da_form2.SelectCommand = cmd_form2_sel;
            da_form2.InsertCommand = cmd_form2_ins;
            da_form2.UpdateCommand = cmd_form2_upd;

            listbox_combo_doldur();

        }


        DataTable dt_form1, dt_form2;

        private void listbox_combo_doldur()
        {
            dt_form1 = new DataTable();
            dt_form2 = new DataTable();

            lurun.Items.Clear();
            lmiktar.Items.Clear();
            lxoran.Items.Clear();
            lyoran.Items.Clear();
            lzoran.Items.Clear();
            curun.Items.Clear();

            da_form1.Fill(dt_form1);

            for (int satir = 0; satir < dt_form1.Rows.Count; satir++)
            {
                lurun.Items.Add(dt_form1.Rows[satir].ItemArray[3].ToString());
                lmiktar.Items.Add(dt_form1.Rows[satir].ItemArray[2].ToString());
                lxoran.Items.Add(dt_form1.Rows[satir].ItemArray[4].ToString());
                lyoran.Items.Add(dt_form1.Rows[satir].ItemArray[5].ToString());
                lzoran.Items.Add(dt_form1.Rows[satir].ItemArray[6].ToString());
            
            }

            da_form2.Fill(dt_form2);

            for (int satir = 0; satir < dt_form2.Rows.Count; satir++)
            {
                curun.Items.Add(dt_form2.Rows[satir].ItemArray[1].ToString());
            }

            curun.Text = "Seçiniz";
        
        
        }

        private void bekle_Click(object sender, EventArgs e)
        {
            int index = curun.SelectedIndex;
            int miktar;
            bool kontrol = Int32.TryParse(tmiktar.Text, out miktar);

            if (index > -1 && kontrol)
            {
                DataRow dr = dt_form1.NewRow();
                dr["urunid"] = Convert.ToInt32(dt_form2.Rows[index].ItemArray[0].ToString());
                dr["miktar"] = miktar;
                dt_form1.Rows.Add(dr);
                da_form1.Update(dt_form1);
                tmiktar.Clear();
                listbox_combo_doldur();
            
            }


        }

        private void bsil_Click(object sender, EventArgs e)
        {

            int index = lurun.SelectedIndex;
            if (index > -1)
            {
                dt_form1.Rows[index].Delete();
                da_form1.Update(dt_form1);
                listbox_combo_doldur();
            
            }

        }

        private void buruntanimi_Click(object sender, EventArgs e)
        {
            furuntanimi frm2 = new furuntanimi(da_form2);
            frm2.ShowDialog();
        }
    }
}
